Subject: bug#75964: Switching the Emacs build to -Wswitch-enum in src/

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Feb 2025 08:58:21 -0500

> Switching over an enum without a default: label will generate
> fall-through code, for those cases in which the enum variable has a
> value that's not in the enumeration.

Ah, thanks, now I understand the problem.

Yes, this part of C sucks and I had forgotten about it.
I wish it offered a special label (call it `invalid:`, `notenum:`,
`bogus:`, `outofrange:`, ...) for "what to do when the value is not
a member of the enum".

        Stefan